Subject: bug#48678: [PATCH] lex floats with trailing dot and exponent correctly

From: Mattias Engdegård <[email-masked]>
Date: Sat, 29 May 2021 09:47:39 +0200

29 maj 2021 kl. 08.03 skrev Lars Ingebrigtsen <[email-masked]>:

> There didn't seem to be any reported breakages from this yet.  It does
> seem quite NEWS-worthy, though, so I've added an entry, and I'm closing
> this bug report.

Excellent! I was going to write a NEWS entry, so thank you for forcing my hand. I took the liberty to make a few minor changes to it for precision; if it isn't to your liking, do tell.

>  If serious breakages do happen, we should consider
> backing out the change.

Most certainly, but I'm confident in the change. It wasn't done without serious preparation: I scanned hundreds of Emacs packages, and checked all boolean combinations in the reader condition to guarantee correctness (which showed that a flag in the condition was redundant and could be removed). There is now a serious test.

Looking for the origin I also ran Maclisp on a PDP-10 and can confirm that it does not have the bug, so it must have been endogenous to Emacs.